Subject: elogind tests fail on QEMU riscv64-linux but not native with identical derivations
From: Richard Sent <[email-masked]>
To: [email-masked]
Date: Fri, 24 May 2024 23:40:32 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

Building elogind fails due to a failing test on a QEMU riscv64 build:

--8<---------------cut here---------------start------------->8---
gibraltar :) guix$ guix describe
Generation 77	May 24 2024 00:15:41	(current)
  guix 9901416
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 9901416233867233192b63fde7f616751127b189
gibraltar :) guix$ guix build elogind --system=riscv64-linux
--8<---------------cut here---------------end--------------->8---

I'll attach the full build log to this message. Here's the brief output:

--8<---------------cut here---------------start------------->8---
 85/143 elogind:test / test-mountpoint-util                       FAIL            0.03s   killed by signal 6 SIGABRT
# snip
mnt ids of /gnu/store/vaznv17j32jky10bi6942fdfxh7awl67-python-minimal-3.10.7 are 739 (from /proc/self/mountinfo), 0 (from path_get_mnt_id()).
Assertion 'q = hashmap_get(h, INT_TO_PTR(mnt_id2))' failed at src/test/test-mountpoint-util.c:104, function test_mnt_id(). Aborting.
--8<---------------cut here---------------end--------------->8---

When the build is done natively (thanks for the VisionFive2 image!), it
succeeds even though the derivation hash is the same.

--8<---------------cut here---------------start------------->8---
# QEMU
gibraltar :( guix$ guix build elogind --no-grafts --derivations --system=riscv64-linux
/gnu/store/cjbqi2shgn2a99zmwbiqp1kaa7x0zpik-elogind-252.9.drv
# Native
root@visionfive2 ~# guix build elogind --no-grafts --derivations
/gnu/store/cjbqi2shgn2a99zmwbiqp1kaa7x0zpik-elogind-252.9.drv
--8<---------------cut here---------------end--------------->8---

I tried disabling just that one test, but it seemed to cause another
failure. I haven't investigated beyond that.

-- 
Take it easy,
Richard Sent
Making my computer weirder one commit at a time.